# build fails with empty debugsourcefiles.list, disable
%global debug_package %{nil}
Name:           python3-cppyy
Version:        1.9.5
Release:        2%{?dist}
Summary:        Cling-based Python-C++ bindings
License:        LBNLBSD
URL:            https://pypi.org/project/cppyy/
Source0:        cppyy-%{version}.tar.gz
BuildRequires:  python3-devel python3-CPyCppyy python3-wheel gcc-c++ python3-setuptools

%description
Cling-based Python-C++ bindings

%prep
%autosetup -n cppyy-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%files
%{python3_sitelib}/*

%changelog
* Tue Aug 03 2021 Bruno Postle <bruno@postle.net> - 1.9.5-2
- f35 requires python3-setuptools

* Tue Mar 23 2021 Bruno Postle <bruno@postle.net> - 1.9.5-1

* Fri Mar 19 2021 Bruno Postle <bruno@postle.net> - 1.9.4-1

* Fri Jan 08 2021 Bruno Postle <bruno@postle.net> - 1.9.2-2
- initial package
